<?php

declare(strict_types=1);

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Koneko\VuexyAdmin\Application\Seeding\SeederOrchestrator;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $orchestrator = app(SeederOrchestrator::class);

        // Si $this->command está disponible, lo pasamos al orquestador
        if ($this->command) {
            $orchestrator->setCommand($this->command);
        }

        $orchestrator->run();
    }

}
